#include <hmg.ch>
#include "directry.ch"

Function Main

        Load Window Main
        Main.Center
        Main.Activate

Return

//----------------------------------------------------------------------------------------------------------//

Function Main_Button_Directory_Action

LOCAL cFolder := GetFolder ("Select directory","C:\", ,.F.,.F.)

	SetProperty ("Main" , "Text_Directory" , "Value" , cFolder)
	
Return Nil

//----------------------------------------------------------------------------------------------------------//

Function Main_Button_Scan_Action

LOCAL i
LOCAL aDir := {}, aTable := {}, aRow := {}
LOCAL nSize := 0, nLines := 0, nTsize := 0, nTlines := 0, nLen := 0, nTlen := 0
LOCAL cFolder := GetProperty ("Main" , "Text_Directory" , "Value")


	If Empty (cFolder)
	
		Return Nil
		
	EndIf
	
	Asize (aTable,0)

	If GetProperty ("Main" , "Check_Prg" , "Value")
	
		aDir := Directory ( AllTrim (cFolder + "\*.prg"))
		nLen := Len (aDir)

		If nLen > 0
		
			For i := 1 To nLen
			
				Asize (aRow,0)
				
				cName := aDir [i,1]								// File name
				Aadd (aRow,cName)

				nSize := aDir [i,2] / 1000						// File size
				Aadd (aRow,nSize)
				
				Hb_Fuse ( AllTrim (cFolder + "\" + cName))
				nLines := Hb_FlastRec () + 1					// File lines
				Hb_Fuse ()
				Aadd (aRow,nLines)
				
				Aadd ( aTable, Aclone (aRow) )
				
				nTsize := nTsize + nSize
				nTlines := nTlines + nLines
				
			Next

		EndIf
		
	EndIf
	
	nTlen := nTlen + nLen
	
	If GetProperty ("Main" , "Check_Fmg" , "Value")
	
		aDir := Directory ( AllTrim (cFolder + "\*.fmg"))
		nLen := Len (aDir)

		If nLen > 0
		
			For i := 1 To nLen
			
				Asize (aRow,0)
				
				cName := aDir [i,1]								// File name
				Aadd (aRow,cName)

				nSize := aDir [i,2] / 1000						// File size
				Aadd (aRow,nSize)
				
				Hb_Fuse ( AllTrim (cFolder + "\" + cName))
				nLines := Hb_FlastRec () + 1					// File lines
				Hb_Fuse ()
				Aadd (aRow,nLines)
				
				Aadd ( aTable, Aclone (aRow) )
				
				nTsize := nTsize + nSize
				nTlines := nTlines + nLines
				
			Next

		EndIf
		
	EndIf
	
	nTlen := nTlen + nLen
	
	If GetProperty ("Main" , "Check_Rc" , "Value")
	
		aDir := Directory ( AllTrim (cFolder + "\*.rc"))
		nLen := Len (aDir)

		If nLen > 0
		
			For i := 1 To nLen
			
				Asize (aRow,0)
				
				cName := aDir [i,1]								// File name
				Aadd (aRow,cName)

				nSize := aDir [i,2] / 1000						// File size
				Aadd (aRow,nSize)
				
				Hb_Fuse ( AllTrim (cFolder + "\" + cName))
				nLines := Hb_FlastRec () + 1					// File lines
				Hb_Fuse ()
				Aadd (aRow,nLines)
				
				Aadd ( aTable, Aclone (aRow) )
				
				nTsize := nTsize + nSize
				nTlines := nTlines + nLines
				
			Next

		EndIf
		
	EndIf
	
	nTlen := nTlen + nLen
	
	If GetProperty ("Main" , "Check_Txt" , "Value")
	
		aDir := Directory ( AllTrim (cFolder + "\*.txt"))
		nLen := Len (aDir)

		If nLen > 0
		
			For i := 1 To nLen
			
				Asize (aRow,0)
				
				cName := aDir [i,1]								// File name
				Aadd (aRow,cName)

				nSize := aDir [i,2] / 1000						// File size
				Aadd (aRow,nSize)
				
				Hb_Fuse ( AllTrim (cFolder + "\" + cName))
				nLines := Hb_FlastRec () + 1					// File lines
				Hb_Fuse ()
				Aadd (aRow,nLines)
				
				Aadd ( aTable, Aclone (aRow) )
				
				nTsize := nTsize + nSize
				nTlines := nTlines + nLines
				
			Next

		EndIf
		
	EndIf
	
	nTlen := nTlen + nLen

	If GetProperty ("Main" , "Check_Rtf" , "Value")
	
		aDir := Directory ( AllTrim (cFolder + "\*.rtf"))
		nLen := Len (aDir)

		If nLen > 0
		
			For i := 1 To nLen
			
				Asize (aRow,0)
				
				cName := aDir [i,1]								// File name
				Aadd (aRow,cName)

				nSize := aDir [i,2] / 1000						// File size
				Aadd (aRow,nSize)
				
				Hb_Fuse ( AllTrim (cFolder + "\" + cName))
				nLines := Hb_FlastRec () + 1					// File lines
				Hb_Fuse ()
				Aadd (aRow,nLines)
				
				Aadd ( aTable, Aclone (aRow) )
				
				nTsize := nTsize + nSize
				nTlines := nTlines + nLines
				
			Next

		EndIf
		
	EndIf
	
	nTlen := nTlen + nLen
	
	DoMethod ("Main" , "Grid_Files" , " DeleteAllItems ")

		If Len (aTable) > 0
		
			For i := 1 To Len (aTable)

				DoMethod ("Main" , "Grid_Files" , " AddItem " , aTable[i] )
				
			Next
			
		EndIf

	SetProperty ("Main" , "Label_Files" , "Value" , nTlen)
	SetProperty ("Main" , "Label_Size" , "Value" , nTsize)
	SetProperty ("Main" , "Label_Lines" , "Value" , nTlines)

Return Nil
